MONGOC_URI_GET_AUTH_SOURCE(3)

NAME
mongoc_uri_get_auth_source - mongoc_uri_get_auth_source()

SYNOPSIS

        const char *
        mongoc_uri_get_auth_source (const mongoc_uri_t *uri);

PARAMETERS

    •   uri: A mongoc_uri_t.

DESCRIPTION

Fetches the authSource parameter of an URI if provided.

RETURNS

A string which should not be modified or freed if the authSource parameter is provided, otherwise NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc